org.eclipse.incquery.runtime.base.api

## Class QueryResultMap<KeyType,ValueType>

- java.lang.Object
- - org.eclipse.incquery.runtime.base.api.QueryResultAssociativeStore<KeyType,ValueType>
  - - org.eclipse.incquery.runtime.base.api.QueryResultMap<KeyType,ValueType>

- All Implemented Interfaces:
    java.util.Map<KeyType,ValueType>

      public abstract class QueryResultMap<KeyType,ValueType>
      extends QueryResultAssociativeStore<KeyType,ValueType>
      implements java.util.Map<KeyType,ValueType>

  Author:
    Abel Hegedus

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set<java.util.Map.Entry<KeyType,ValueType>>` | `entrySet()`
    `ValueType` | `get(java.lang.Object key)`
    `boolean` | `isEmpty()`
    `java.util.Set<KeyType>` | `keySet()`
    `ValueType` | `put(KeyType key, ValueType value)`
    `void` | `putAll(java.util.Map<? extends KeyType,? extends ValueType> map)`
    `ValueType` | `remove(java.lang.Object key)`
    `int` | `size()`
    `java.util.Collection<ValueType>` | `values()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.base.api.QueryResultAssociativeStore

      `addCallbackOnQueryResultUpdate, removeCallbackOnQueryResultUpdate, setQueryResultSetter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<KeyType,ValueType>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<KeyType,ValueType>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<KeyType,ValueType>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<KeyType,ValueType>> entrySet()

      The returned set is immutable.

      Specified by:
        `entrySet` in interface `java.util.Map<KeyType,ValueType>`

    - #### get

          public ValueType get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<KeyType,ValueType>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<KeyType,ValueType>`

    - #### keySet

          public java.util.Set<KeyType> keySet()

      The returned set is immutable.

      Specified by:
        `keySet` in interface `java.util.Map<KeyType,ValueType>`

    - #### put

          public ValueType put(KeyType key,
                               ValueType value)

      Throws `UnsupportedOperationException` if there is no `IQueryResultSetter`

      Specified by:
        `put` in interface `java.util.Map<KeyType,ValueType>`

    - #### putAll

          public void putAll(java.util.Map<? extends KeyType,? extends ValueType> map)

      Throws `UnsupportedOperationException` if there is no `IQueryResultSetter`

      Specified by:
        `putAll` in interface `java.util.Map<KeyType,ValueType>`

    - #### remove

          public ValueType remove(java.lang.Object key)

      Throws `UnsupportedOperationException` if there is no `IQueryResultSetter`

      Specified by:
        `remove` in interface `java.util.Map<KeyType,ValueType>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<KeyType,ValueType>`

    - #### values

          public java.util.Collection<ValueType> values()

      The returned collection is immutable.

      Specified by:
        `values` in interface `java.util.Map<KeyType,ValueType>`